## python-cai 1.0.2

=== requirements.txt ===
scipy
biopython
click

=== debian/changelog ===
python-cai (1.0.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-cai-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:30:05 +0100

python-cai (1.0.2-3) unstable; urgency=medium

  * Fix documentation build (Closes: #1010316). Thanks Vagrant Cascadian.
  * Clean up debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Sat, 30 Apr 2022 02:46:08 -0400

python-cai (1.0.2-2) unstable; urgency=medium

  * Provide proper name for manpage.
  * Add publication reference to debian/upstream/metadata.
  * Add lintian override for privacy-breach-generic.

 -- Andrius Merkys <merkys@debian.org>  Thu, 07 Apr 2022 02:26:56 -0400

python-cai (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #1008586)

 -- Andrius Merkys <merkys@debian.org>  Thu, 31 Mar 2022 01:29:46 -0400

=== debian/control ===
Source: python-cai
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 python3-setuptools,
 python3-all,
 python3-click,
 python3-pytest-runner,
 python3-pytest <!nocheck>,
 python3-biopython <!nocheck>,
 python3-scipy <!nocheck>,
 python3-sphinx,
 python3-sphinxcontrib.programoutput,
Standards-Version: 4.6.0
Homepage: https://github.com/Benjamin-Lee/CodonAdaptationIndex
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cai
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cai.git
Rules-Requires-Root: no

Package: python3-cai
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-cai-doc
Description: Python Codon Adaptation Index (Python 3)
 An implementation of Sharp and Li's 1987 formulation of the codon adaption
 index.
 .
 This package installs the library for Python 3.

Package: python-cai-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python Codon Adaptation Index (common documentation)
 An implementation of Sharp and Li's 1987 formulation of the codon adaption
 index.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = cai

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_installdocs:
	PATH=$(CURDIR)/debian/python3-cai/usr/bin:$(PATH) PYTHONPATH=$(CURDIR) python3 -m sphinx -N -bhtml docs build/html
	find build/html -name .doctrees | xargs --no-run-if-empty rm -rf
	dh_installdocs
	dh_installdocs -p python-cai-doc --doc-main-package python3-cai build/html

override_dh_installman:
	PYTHONPATH=. help2man debian/python3-cai/usr/bin/CAI --no-info \
		--name 'calculate codon adaptation index for a DNA sequence' \
		--version-string "$(DEB_VERSION_UPSTREAM)" > CAI.1
	dh_installman CAI.1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CAI.egg-info

## python-cai 1.0.4

=== requirements.txt ===
scipy>=1.7.1
biopython>=1.79
click>=7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = CAI
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinxcontrib-programoutput

=== debian/changelog ===
python-cai (1.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-biopython and python3-scipy.
    Closes: #1116852.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 19:55:00 +0200

python-cai (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify some debhelper overrides.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jan 2025 15:07:39 +0000

python-cai (1.0.2-5) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090135).

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 14:51:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  help2man,
- python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-click,
  python3-pytest-runner,
  python3-pytest <!nocheck>,
- python3-biopython <!nocheck>,
- python3-scipy <!nocheck>,
+ python3-biopython,
+ python3-scipy,
+ python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
  python3-sphinxcontrib.programoutput,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Benjamin-Lee/CodonAdaptationIndex
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cai
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cai.git
-Rules-Requires-Root: no
 
 Package: python3-cai
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = cai

%:
	dh $@ --buildsystem pybuild

override_dh_installdocs:
	PATH=$(CURDIR)/debian/python3-cai/usr/bin:$(PATH) PYTHONPATH=$(CURDIR)/src python3 -m sphinx -N -bhtml docs build/html
	find build/html -name .doctrees | xargs --no-run-if-empty rm -rf
	dh_installdocs
	dh_installdocs -p python-cai-doc --doc-main-package python3-cai build/html

override_dh_installman:
	PYTHONPATH=src help2man debian/python3-cai/usr/bin/CAI --no-info \
		--name 'calculate codon adaptation index for a DNA sequence' \
		--version-string "$(DEB_VERSION_UPSTREAM)" > CAI.1
	dh_installman CAI.1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
 https://github.com/Benjamin-Lee/CodonAdaptationIndex/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
